---
title: "/api/users/v1/users/{userId}"
slug: "apiusersv1usersuserid"
updated: 2024-10-17T20:32:06Z
published: 2024-10-17T20:32:06Z
canonical: "support.tulip.co/apiusersv1usersuserid"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.tulip.co/llms.txt
> Use this file to discover all available pages before exploring further.

# /api/users/v1/users/{userId}

Get/api/users/v1/users/{userId}

Retrieves a single user.

Path parametersuserIdRequired

The id of the user to retrieve.

Exampleg56RCoZCtzv7borvp

Responses200

The user was successfully retrieved.

<select class='api-response-data' aria-label='Media type'><option value='dee1ad48-76e1-4dae-9da8-a8c3701aeba4'>application/json</option>
</select>Expand AllExample{
  "id": "78M2aGebq5MjhKafN",
  "name": {
    "full": "John Doe"
  },
  "email": {
    "address": "john.doe@tulip.co",
    "verified": true
  },
  "created": {
    "at": "2023-05-06T05:41:08Z",
    "by": {
      "type": "user",
      "id": "Acbu9bbP7jHHDSq8e"
    }
  },
  "lastModified": {
    "at": "2024-01-18T07:11:17Z",
    "by": {
      "type": "user",
      "id": "ieW7gygymmFY253Ew"
    }
  }
}idExampleg56RCoZCtzv7borvp
nameobject 

The user's name.

fullstring    

The user's full name.

avatarUrlstring    

The url which host's a user's profile picture.

languagestring    

ISO-639-1 Language codes supported within the Tulip platform.

Valid values[
  "bg",
  "cs",
  "da",
  "de",
  "el",
  "en",
  "en-GB",
  "es",
  "et",
  "fi",
  "fr",
  "hu",
  "id",
  "it",
  "ja",
  "ko",
  "lt",
  "lv",
  "nb",
  "nl",
  "pl",
  "pt-PT",
  "pt-BR",
  "ro",
  "ru",
  "sk",
  "sl",
  "sv",
  "tr",
  "uk",
  "zh-Hans"
]Exampleen
emailobject 

The user's email address and whether or not it is verified.

addressstring    

The user's email address.

verifiedboolean    

Whether a user's email address has been confirmed.

phoneobject 

The user's phone number and whether or not it is verified.

numberstring    

The user's phone number.

verifiedboolean    

Whether a user's phone number has been confirmed.

badgeIdstring    

A unique string which identifies a user for Player authentication.

invitedatstring  (date-time)    

A date-time string as defined by [RFC 3339 §5.6](https://tools.ietf.org/html/rfc3339#section-5.6).

Example2022-11-21T07:59:10Z
byobject (ActorMetadata) 

Represents a user, api-token, or device.

typestring    Valid values[
  "user",
  "client",
  "api-token",
  "app-exchange-api-token",
  "celosx-api-token",
  "automation",
  "instance-init"
]
idExampleg56RCoZCtzv7borvp

createdatstring  (date-time)    

A date-time string as defined by [RFC 3339 §5.6](https://tools.ietf.org/html/rfc3339#section-5.6).

Example2022-11-21T07:59:10Z
byobject (ActorMetadata) 

Represents a user, api-token, or device.

typestring    Valid values[
  "user",
  "client",
  "api-token",
  "app-exchange-api-token",
  "celosx-api-token",
  "automation",
  "instance-init"
]
idExampleg56RCoZCtzv7borvp

lastModifiedatstring  (date-time)    

A date-time string as defined by [RFC 3339 §5.6](https://tools.ietf.org/html/rfc3339#section-5.6).

Example2022-11-21T07:59:10Z
byobject (ActorMetadata) 

Represents a user, api-token, or device.

typestring    Valid values[
  "user",
  "client",
  "api-token",
  "app-exchange-api-token",
  "celosx-api-token",
  "automation",
  "instance-init"
]
idExampleg56RCoZCtzv7borvp

archivedatstring  (date-time)    

A date-time string as defined by [RFC 3339 §5.6](https://tools.ietf.org/html/rfc3339#section-5.6).

Example2022-11-21T07:59:10Z
byobject (ActorMetadata) 

Represents a user, api-token, or device.

typestring    Valid values[
  "user",
  "client",
  "api-token",
  "app-exchange-api-token",
  "celosx-api-token",
  "automation",
  "instance-init"
]
idExampleg56RCoZCtzv7borvp

OneOfobjectworkspaceRoleAssignments Array of object (WorkspaceRoleAssignment)   object 

One of a a user's member workspaces and its associated role.

workspaceIdstring    ExampleDEFAULT
userRoleIdOneOfstringstringValid values[
  "operator",
  "operator-with-registration",
  "shop-floor-operator",
  "apps-approver-admin",
  "apps-builder-admin",
  "apps-admin",
  "tables-admin",
  "connectors-admin",
  "shop-floor-admin",
  "viewer",
  "viewer-with-player",
  "admin",
  "workspace-owner",
  "owner"
]

objectglobalRoleIdstring    Valid values[
  "owner"
]

400

An error occurred. The Tulip error codes `generic.customerIdRequired`, `generic.workspaceIdRequired`, `generic.invalidParams`, `http.invalidBodyJson`, `http.invalidHeaders`, and `http.multiValueHeader` all use the 400 HTTP status code. See the documentation of the response content schema for details on these specific Tulip errors that could result in this status code.

<select class='api-response-data' aria-label='Media type'><option value='5ad2f021-e098-4c63-9f84-7874914c5d00'>application/json</option>
</select>Expand AllOneOfobjecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

objecterrorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

detailsobject headerNamestring    

The name of the given HTTP header which had multiple values.

401

The request was missing required authentication information.

This error is not automatically retryable.

<select class='api-response-data' aria-label='Media type'><option value='80d68605-e255-463f-9777-b0224776c5bc'>application/json</option>
</select>object errorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

404

The requested resource was not found.

This error is not automatically retryable.

<select class='api-response-data' aria-label='Media type'><option value='9188970f-bcdd-4c4f-b8bc-8d64f11b39ee'>application/json</option>
</select>object errorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

429

Too many requests have been made to this endpoint in a short time period.

This error is not automatically retryable.

<select class='api-response-data' aria-label='Media type'><option value='4fca752b-7e46-4668-b2a6-609cf4b67b2b'>application/json</option>
</select>Expand Allobject errorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.

detailsobject detailsstring    

Additional details about this endpoint's rate limits.

500

An internal server error occurred. Please contact [support@tulip.co](mailto:support@tulip.co) if the error persists.

This error is not automatically retryable.

<select class='api-response-data' aria-label='Media type'><option value='74edb81e-e082-46a7-b040-0cc26e0d2158'>application/json</option>
</select>object errorCodestring    

A machine-readable code identifying the type of error.

Pattern^[a-zA-Z0-9.]$
messagestring    

A human-readable description of the error intended for debugging purposes only.

The exact content of this message is not stable.

retryableboolean    

Whether the request can be automatically retried by the client.
